# Access Control

| **Access**     | **Role**       | **Function Name**        | **Description**                                                                                    |
| -------------- | -------------- | ------------------------ | -------------------------------------------------------------------------------------------------- |
| Protocol Owner | Default\_Owner | setGovernor              | Default and Initial admin of the pools that are going to be deployed. (SPA token and SPA contract) |
| Protocol Owner | Default\_Owner | setMintFee               | Initial mint fee of the pools that are going to be deployed.                                       |
| Protocol Owner | Default\_Owner | setSwapFee               | Initial swap fee of the pools that are going to be deployed.                                       |
| Protocol Owner | Default\_Owner | setRedeemFee             | Initial redeem fee of the pools that are going to be deployed.                                     |
| Protocol Owner | Default\_Owner | setOffPegFeeMultiplier   | Initial offPegFeeMultiplier of the pools that are going to be deployed.                            |
| Protocol Owner | Default\_Owner | setA                     | Initial A parameter of the pools that are going to be deployed.                                    |
| Protocol Owner | Default\_Owner | setMinRampTime           | Initial A parameter of the pools that are going to be deployed.                                    |
| Protocol Owner | Default\_Owner | setExchangeRateFeeFactor | Initial A parameter of the pools that are going to be deployed.                                    |
| Protocol Owner | Default\_Owner | setBufferPercent         | Initial A parameter of the pools that are going to be deployed.                                    |
| Protocol Owner | Default\_Owner | upgradeTo                | Upgrades factory contract implementation.                                                          |
| Protocol Owner | Default\_Owner | setKeeperImplementation  | Set the keeper implementation for ongoing deployments                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tapio.finance/smart-contracts/selfpeggingassetfactory/access-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
